Your message dated Tue, 13 Feb 2018 13:36:41 +0000
with message-id <e1elalf-000cjs...@fasolo.debian.org>
and subject line Bug#842512: fixed in needrestart 2.11+git20180213-1
has caused the Debian Bug report #842512,
regarding explain how this integrates with various unattended-upgrade solutions
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
842512: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=842512
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: needrestart
Version: 2.9-1~bpo8+1
Severity: wishlist

It is unclear to me whether installing this package alongside a
properly configured "unattended-upgrade" package will do the right
thing (that is, automatically restart services).

I am unsure because the default config (needrestart.conf) has the
following entry, which I assume to be the default:

# Restart services (l)ist only, (i)nteractive or (a)utomatically.
#$nrconf{restart} = 'i';

It *looks* like things work, because on the server where I have both
setup, running needrestart by hand tells me everything is fine. Is it
that "a" is the default, or that needrestart can tell there's no
terminal, or what?

It would be great if this is documented better (i looked, without
luck, in the manpage and readme files).

Thanks!

-- Package-specific info:
needrestart output:
Your outdated processes:
chromium[13772]

checkrestart output:


-- System Information:
Debian Release: 8.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 
'stable'), (1, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.7.0-0.bpo.1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages needrestart depends on:
ii  dpkg                       1.17.27
ii  gettext-base               0.19.3-2
ii  libintl-perl               1.23-1+deb8u1
ii  libmodule-find-perl        0.12-1
ii  libmodule-scandeps-perl    1.16-1
ii  libproc-processtable-perl  0.51-1
ii  libsort-naturally-perl     1.03-1
ii  libterm-readkey-perl       2.32-1+b1
ii  perl                       5.20.2-3+deb8u6
ii  xz-utils                   5.1.1alpha+20120614-2+b3

needrestart recommends no packages.

Versions of packages needrestart suggests:
ii  libnotify-bin  0.7.6-2

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: needrestart
Source-Version: 2.11+git20180213-1

We believe that the bug you reported is fixed in the latest version of
needrestart, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 842...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatth...@debian.org> (supplier of updated needrestart package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 13 Feb 2018 14:10:34 +0100
Source: needrestart
Binary: needrestart
Architecture: source all
Version: 2.11+git20180213-1
Distribution: experimental
Urgency: medium
Maintainer: Patrick Matthäi <pmatth...@debian.org>
Changed-By: Patrick Matthäi <pmatth...@debian.org>
Description:
 needrestart - check which daemons need to be restarted after library upgrades
Closes: 842512 859387 866105 876452 876459 878700 879091 885448 886445 887677
Changes:
 needrestart (2.11+git20180213-1) experimental; urgency=medium
 .
   * New upstream git snapshot.
     - Possible to override the configured restart mode using the
       NEEDRESTART_MODE environment variable.
       Closes: #866105
     - Check for pending Intel microcode updates.
       Closes: #886445
     - Ignore special filename mappings used by recent versions of KDE
       plasmashell.
       Closes: #879091
     - Fix handling of library mappings if target does not exist.
       Closes: #878700
     - Add missing unnamed device major numbers (fix for OpenVZ).
       Closes: #876452
     - Do not call GetTerminalSize() if STDOUT is not a TTY.
       Closes: #859387
     - Fix switch from interactive to list mode if debconf is run
       noninteractive.
       Closes: #876459
     - Add documentation on restart mode if run non-interactive.
       Closes: #842512
     - Fix typo in man page.
       Closes: #885448
     - Drop merged patch 03-perl-warning.
     - Drop merged patch 04-ignore-systemd-services.
     - Drop merged patch 02-install-restart-d.
   * Add dependency on binutils.
     Closes: #887677
   * Bump debian/compat to level 11.
   * Bump Standards-Version to 4.1.3 (no changes required).
Checksums-Sha1:
 f81922f08e0ea0f2e34061f8806d81c9386a8dac 1850 
needrestart_2.11+git20180213-1.dsc
 9ed0f6c7fd7a1a556d2371e532c08c4d692a835a 59427 
needrestart_2.11+git20180213.orig.tar.gz
 02469d64a5b37f13d7453112772b35de7b412ce2 7340 
needrestart_2.11+git20180213-1.debian.tar.xz
 4dabeab97df90a53e89d5c58e0f40a36d5ccfdf3 52232 
needrestart_2.11+git20180213-1_all.deb
 582d9bb9bf0bb22b7e4b56ba82f3e144a9895925 6090 
needrestart_2.11+git20180213-1_amd64.buildinfo
Checksums-Sha256:
 19872244257ce1b4784fe8c7cda113b1bcaf0f71545e9105c0456f90d0ff60c2 1850 
needrestart_2.11+git20180213-1.dsc
 cc761f3e0368fe8e188ccff37d06e96ee35d8c91b26dcbc04b23dce73385fd94 59427 
needrestart_2.11+git20180213.orig.tar.gz
 59525f29f49ed40024ad272ed85ac87ea57d47174d54c37d700b3d0476d12241 7340 
needrestart_2.11+git20180213-1.debian.tar.xz
 783efe7cf65cea189650dd984c1d9dc81928f004935459c4d67c1975dcb8397e 52232 
needrestart_2.11+git20180213-1_all.deb
 847a23730b0e82a04fa4772314483aa0f0e5824a506a00bf747a5f7d199d6e47 6090 
needrestart_2.11+git20180213-1_amd64.buildinfo
Files:
 ace7c797e095501d68983bbae525773a 1850 admin optional 
needrestart_2.11+git20180213-1.dsc
 6c9fb61119352dea326be9615670d41a 59427 admin optional 
needrestart_2.11+git20180213.orig.tar.gz
 792152d6d87c69fda3f38be97a534f4e 7340 admin optional 
needrestart_2.11+git20180213-1.debian.tar.xz
 67890742bafba6500bfba6732177d1a5 52232 admin optional 
needrestart_2.11+git20180213-1_all.deb
 15e930000a5e21b2d2492515d1bc5354 6090 admin optional 
needrestart_2.11+git20180213-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEWKA9xYJCWk3IuQ4TEtmwSpDL2OQFAlqC5jwACgkQEtmwSpDL
2OSK5w/+I4AYrhLrGRid7MqHZJRucjv5A8bqI+F2JcyKW1SRZeFHexRqScVvUWXU
Q6LEU1AIiRB9aI09ReyV0SD5yh/cl7Ht+9Q5VlVFNobRZudujIxfF8Lnc3uICa76
W1Alql5U5EG//6iA+O2ttrDl8UQSfnKoeiN+xMwn/bBRVHW/fDrCSvyy/C+7GTVk
GeJuiuU467uzYh1dEX9D3Pai9sxV9PU84ME0inPf1w+PZOIxgLG4++dqGqeVVBvn
F3z8ElRbUF1iq9i4g9jV9spOtOPLqlQgX7ueHzpTJsf4zJI2l4YqW6AdPMfv6tG3
uhggaUFcZC1sc5/YiDZh8vq9R5Q+ZfGfrlglKuqw4AgHKEE2zROL3AWZBD0he8gg
eC+2zh1bspr5Ofl/0Qd1146sjlCvaub5cj7XjzsXG2RZAVR7enobMotUEjh8r4bp
EMSRypUKOdSqss/WNwTIn3lv4nZPKAbgWyeHM7hrlCgZbeXm6ODTySBPPJu6ic0Q
+jENwug5XREjAGeskdB/ENJNIHeBXSBJJ7BMpFJdTBBWyxuG4qMfTg3zpHJhOfYr
uxWJrSIW9EipsZhWPAGRZ2GyDFixlMGRuPYF6AfzvZi+O+3PDbyEgjkeuPlc4XsY
xvWH0Hj69bNfPjJbX2BfAba3Zwx8tcOd1gwYRMn2ljYorAy9cvY=
=vbNl
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to